Skip to navigation

Export applications

Deprecated
View as MarkdownOpen in Claude

This endpoint is deprecated. To export this data, use List all apps for org with the exportFormat query parameter instead.

Export a list of boarding applications for an organization. Use filters to limit results.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

formatenumRequired
Format for the export, either XLSX or CSV.
Allowed values:
orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

columnsExportstringOptional
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 25000
The number of records to return for the query. The maximum is 30,000 records. When this parameter isn't sent, the API returns up to 25,000 records.
parametersmap from strings to nullable stringsOptional

Collection of field names, conditions, and values used to filter the query

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:

--url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

--url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

Accepted field names:

  • createdAt (gt, ge, lt, le, eq, ne)
  • startDate (gt, ge, lt, le, eq, ne)
  • dbaname (ct, nct)
  • legalname (ct, nct)
  • ein (ct, nct)
  • address (ct, nct)
  • city (ct, nct)
  • state (ct, nct)
  • phone (ct, nct)
  • mcc (ct, nct)
  • owntype (ct, nct)
  • ownerName (ct, nct)
  • contactName (ct, nct)
  • status (eq, ne)
  • orgParentname (ct, nct)

Accepted comparison operators - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array
  • nin => not inside array

Accepted parameters:

  • limitRecord : max number of records for query (default="20", "0" or negative value for all)
  • fromRecord : initial record in query

Example: dbaname(ct)=hoa returns all records with a dbaname containing "hoa"

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error